# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'git-blame-color/version'

Gem::Specification.new do |spec|
  spec.name          = 'git-blame-color'
  spec.version       = Git::BlameColor::VERSION
  spec.licenses      = ['MIT']
  spec.authors       = ['Michael Dippery']
  spec.email         = ['michael@monkey-robot.com']

  spec.summary       = 'Provides colorized output for git blame'
  spec.description   = 'An alternative to git blame that colors output for easier reading'
  spec.homepage      = 'https://github.com/mdippery/git-blame-color'

  spec.metadata      = {
    'build_date'  => Time.now.strftime('%Y-%m-%d %H:%M:%S %Z'),
    'commit'      => `git describe 2>/dev/null`.chomp,
    'commit_hash' => `git rev-parse HEAD`.chomp,
  }

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 1.9.3'

  spec.add_runtime_dependency('rainbow', '~> 3.0')

  spec.add_development_dependency('aruba', '~> 0.14')
  spec.add_development_dependency('cucumber', '~> 3.0')
  spec.add_development_dependency('rake', '~> 12.0')
  spec.add_development_dependency('rspec', '~> 3.4')
end
